package com.ruoyi.ss.orderOper.mapper;

import com.ruoyi.ss.orderOper.domain.OrderOper;

import java.util.List;

/**
 * 操作操作履历Mapper接口
 *
 * @author qzz
 * @date 2024-10-10
 */
public interface OrderOperMapper
{
    /**
     * 查询操作操作履历
     *
     * @param operId 操作操作履历主键
     * @return 操作操作履历
     */
    public OrderOper selectRlOrderOperByOperId(Long operId);

    /**
     * 查询操作操作履历列表
     *
     * @param rlOrderOper 操作操作履历
     * @return 操作操作履历集合
     */
    public List<OrderOper> selectRlOrderOperList(OrderOper rlOrderOper);

    /**
     * 新增操作操作履历
     *
     * @param rlOrderOper 操作操作履历
     * @return 结果
     */
    public int insertRlOrderOper(OrderOper rlOrderOper);

    /**
     * 修改操作操作履历
     *
     * @param rlOrderOper 操作操作履历
     * @return 结果
     */
    public int updateRlOrderOper(OrderOper rlOrderOper);

    /**
     * 删除操作操作履历
     *
     * @param operId 操作操作履历主键
     * @return 结果
     */
    public int deleteRlOrderOperByOperId(Long operId);

    /**
     * 批量删除操作操作履历
     *
     * @param operIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRlOrderOperByOperIds(Long[] operIds);
}
